<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\Role\Role;
use Illuminate\Support\Facades\Config;


class RoleSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    
    public function run(): void
    {
        $Roles = Config::get('role-list');
        foreach ($Roles as $role) {
            Role::create([
                'name' => $role,
            ]);
        }
    }
    
}
